﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=391641

namespace SwipeIssue_WP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.NavigationCacheMode = NavigationCacheMode.Required;
            
           
        }

        protected override void OnManipulationStarted(ManipulationStartedRoutedEventArgs e)
        {
            e.Complete();
            e.Handled = false;
            HubSection currectsection = Hub.SectionsInView[0];
            if (currectsection.Name == "Section2")
            {
                if (e.Cumulative.Translation.X > 0)
                {                   
                    Hub.ScrollToSection(Section1);         
                }
                else if (e.Cumulative.Translation.X < 0)
                {                    
                    Hub.ScrollToSection(Section3);                   
                }
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            // TODO: Prepare page for display here.

            // TODO: If your application contains multiple pages, ensure that you are
            // handling the hardware Back button by registering for the
            // Windows.Phone.UI.Input.HardwareButtons.BackPressed event.
            // If you are using the NavigationHelper provided by some templates,
            // this event is handled for you.
           
        }
        private void next_Click(object sender, RoutedEventArgs e)
        {
            SfSchedule schedule = sender as SfSchedule;
            
            schedule.MoveToDate(schedule.VisibleDates.Last().AddDays(1));

            
        }

        private void previous_Click(object sender, RoutedEventArgs e)
        {
            SfSchedule schedule = sender as SfSchedule;
            schedule.MoveToDate(schedule.VisibleDates.First().AddDays(-1));
        }

        private void SfSchedule_Loaded(object sender, RoutedEventArgs e)
        {
            SfSchedule schedule = sender as SfSchedule;
            schedule.ManipulationMode = ManipulationModes.System;
            schedule.CancelDirectManipulations();
        }

       
    }
}
